body {
	/*background-color: lightgreen;*/
	font-family: Arial, sans-serif;
}

input, #inputgrid, #printbutton, #clearbutton {
	font-size: 1.2em;
}

#inputgrid {
	position: absolute;
	top: 0px;
	background-color: lightyellow;
	height: 180px;
	width: 90%;
	display: grid;
	grid-template-columns: 15% 60% 10%;
	grid-template-rows: 25% 25% 25%;
	column-gap: 5%;
	row-gap: 5%;
}

#printbutton { grid-row: 1; grid-column: 3; color: gold; background-color: darkgreen; }
#clearbutton { grid-row: 3; grid-column: 3; color: gold; background-color: darkgreen; }
#labelteamnaam { grid-row: 1; grid-column: 1; }
#inpteamnaam { grid-row: 1; grid-column: 2; }
#labelplaats { grid-row: 2; grid-column: 1; }
#inpplaats { grid-row: 2; grid-column: 2; }
#labelteamleden { grid-row: 3; grid-column: 1; }
#inpteamleden { grid-row: 3; grid-column: 2; }

#kaartgrid {
	position: absolute;
	top: 200px;
	background-color: lightgreen;
	display: grid;
	/*width: 100%;*/
	width: 1410px; /*verhouding voor landscape-A4*/
	height: 960px;
	grid-template-columns: 12.5% 12.5% 12.5% 12.5% 12.5% 12.5% 12.5% 12.5%;
	grid-template-rows: 12% 12% 18% 10% 10% 18% 12% 8%;
		/*Eerste row zou eigenlijk 8% moeten zijn (net als de laatste) maar dan zijn voor- en achterkant niet op gelijke hoogte. Kan iets te maken hebben met afdrukmarges die de
		  browser (Firefox) gebruikt.
		*/
	
	column-gap: 0px;
	row-gap: 0px;
	justify-content: start; /*Het mooiste zou zijn geen gap aan te geven en hier met space-between te werken. Dan krijg je echter in de printweergave andere tussenruimtes...*/
	align-content: start;
}

.teamnaam
{
	font-size: 5em;
	border: 0px solid red;
	text-align: center;
}

.plaats
{
	font-size: 3.5em;
	border: 0px solid blue;
	text-align: center;

}

.teamleden
{
	font-size: 2.5em;
	border: 0px solid black;
}

.ud.teamnaam {
	grid-row: 3;
	grid-column: 1 / span 8; 
	width: 100%;
}

.ud.plaats {
	grid-row: 2;
	grid-column: 1 / span 8;
	width: 100%;
}

.ud.teamleden {
	grid-row: 1;
	grid-column: 1 / span 8;
	width: 100%;
}

.teamnaam {
	grid-row: 6;
	grid-column: 1 / span 8;
	width: 100%;
}

.plaats {
	grid-row: 7;
	grid-column: 1 / span 8;
	width: 100%;
}

.teamleden {
	grid-row: 8;
	grid-column: 1 / span 8;
	width: 100%;
}


.ud {
	transform: rotate(180deg);
}

@media print {
	#inputgrid {
		display: none; /*niet zichtbaar en neemt geen plaats in*/
		visibility: hidden; /*niet zicht maar neemt nog wel plaats in*/
			/*We doen het allebei want visibilty: hidden is noodzakelijk omdat de toolbar display: flex heeft en dan om de een of andere reden display: none niet werkt*/
	}
	#kaartgrid {
		top: 0px;
	}
	@page {
	  size: A4 landscape;
	  /*
	  Dit lijkt goed te werken: in Firefox krijg je in de Print-preview geen keuze meer tussen Portrait/Landscape en er wordt automatisch landscape afgedrukt.
	  In Chrome heb je nog wel de Portrait/Landscape-keuze maar er wordt landscape afgedrukt. Daar gaat iets niet goed met de linkermarge; misschien moet deze ook expliciet
	  hier ingesteld worden (bv. 'margin-left: 1cm;', maar past dan alles nog????)
	  */
	}
}
